     subroutine ms_sdat_mm(msgtype)
     use gms
     use communicate
     include 'fpvm3.h'
     integer, intent(in) :: msgtype
     character(len=30) :: myparnt = 'mm'

!    CALL pvmfinitsend( PVMDEFAULT, info )
!    CALL pvmfpack( INTEGER4, me, 1, 1, info )
!    CALL pvmfpack( INTEGER4, iconvrg, 1, 1, info )
!    CALL pvmfpack( INTEGER4, iconsum, 1, 1, info )
!    CALL pvmfpack( INTEGER4, src_ntotal, 1, 1, info )
!    CALL pvmfpack( REAL8, src_zbar, 1, 1, info )
!    WRITE(iunit,*) 'zbar',src_zbar
!    CALL pvmfsend( mptid, msgtype, info )

     call pk(me)
     call pk(iconvrg)
     call pk(iconsum)
     call pk(src_ntotal)
     call pk(src_zbar)
!    write(iunit,*) 'zbar',src_zbar
     call destin(msgtype,myparnt)
     end subroutine ms_sdat_mm
